
import spacebrew.*;
import processing.video.*;

import processing.serial.*;
import cc.arduino.*;

//-------vibration sensors-------------
float sensitivity[] = new float [6]; 
float mapScale = 100;
float threshold = 5;
//-------vibration sensors-------------

//-------------Spacebrew shiz-------------
String server = "sandbox.spacebrew.cc";
String name   = "Vibration_snax_and_macs";
String desc   = "Some stuff";
Spacebrew sb;
//-------------Spacebrew shiz-------------

Arduino arduino;

color off = color(4, 79, 111);
color on = color(84, 145, 158);

void setup() {
  size(470, 280);

  // Prints out the available serial ports.
  //println(Arduino.list());

  arduino = new Arduino(this, Arduino.list()[8], 57600);

  // Set the Arduino digital pins as inputs.
  for (int i = 0; i <= 13; i++)
    arduino.pinMode(i, Arduino.INPUT);
    
  //-------------Spacebrew shiz-------------
  sb = new Spacebrew(this);
  sb.addPublish("sensor0", "range", int(sensitivity[0]));
  sb.addPublish("sensor1", "range", int(sensitivity[1]));
  sb.addPublish("sensor2", "range", int(sensitivity[2]));
  sb.addPublish("sensor3", "range", int(sensitivity[3]));
  sb.addPublish("sensor4", "range", int(sensitivity[4]));
  sb.connect( server, name, desc );
  //-------------Spacebrew shiz-------------

}

void draw() {
  background(off);
  stroke(on);
  
  // Draw a filled box for each digital pin that's HIGH (5 volts).
  for (int i = 0; i <= 13; i++) {
    if (arduino.digitalRead(i) == Arduino.HIGH)
      fill(on);
    else
      fill(off);
      
    rect(420 - i * 30, 30, 20, 20);
  }

  // Draw a circle whose size corresponds to the value of an analog input.
  noFill();
  
  for (int i = 0; i <= 5; i++) {
  
  sensitivity[i] = map(float(arduino.analogRead(i)), 0, 30, 0, mapScale);
   ellipse(280 + i * 30, 240, sensitivity[i] , sensitivity[i] );
   //using 0, 1, 3

  }
  
  for(int i = 0; i <= 5; i++){
    if(sensitivity[i] > threshold){
      print("sensor[");
      print(i);
      print("]: ");
      println(sensitivity[i]);
    }
  }
}
